<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                version='1.0'>

<!-- This works around an xmltex bug: two or three dashes -->
<!-- together become a ligature.                          -->
<xsl:template name="fix-dash">
 <xsl:param name="str"/>
 <xsl:choose>
  <xsl:when test="contains($str,'--')">
   <xsl:value-of select="substring-before($str,'--')"/>
   <xsl:text>-&#x200b;-</xsl:text>
   <xsl:call-template name="fix-dash">
    <xsl:with-param name="str">
     <xsl:value-of select="substring-after($str,'--')"/>
    </xsl:with-param>
   </xsl:call-template>
  </xsl:when>
  <xsl:otherwise>
   <xsl:value-of select="$str"/>
  </xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template match="text()">
 <xsl:call-template name="fix-dash">
  <xsl:with-param name="str" select="."/>
 </xsl:call-template>
</xsl:template>

</xsl:stylesheet>

